Subject: Re: bug#13461: Subject: 24.2; highlight lines regexp does not highlight all lines

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Jan 2013 09:36:44 -0500

>>> I position the cursor on the first line in the file.
>>> When I execute the command: M-x highlight-lines-matching-regexp and
>>> select a regexp to use, Emacs only highlights a small fraction of lines
>>> that that match such regexp.
>> Maybe you want to increase hi-lock-highlight-range /
>> hi-lock-file-patterns-range. There may be performance consequences
>> though.
> As one scrolls through the buffer, the limit of highlight range should
> also scroll ahead.  Such a behaviour can eliminate surprises and
> double-checks.

Actually, I think that in the absence of font-lock, hi-lock should use
jit-lock, so we can get rid of hi-lock-highlight-range.

        Stefan "Ideally, we'd never use font-lock for it, but the need
                to share the `face' property makes it a bit tricky"